unit uFontCharset;

interface

uses
{$IFDEF LINUX}
  Types,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows,
{$ENDIF}
  Rubies;

procedure Init_FontCharset;

implementation

uses uStrUtils, uPhi;

procedure Init_FontCharset;
begin
  rb_define_const(mPhi, 'ANSI_CHARSET', INT2FIX(0));
  rb_define_const(mPhi, 'DEFAULT_CHARSET', INT2FIX(1));
  rb_define_const(mPhi, 'SYMBOL_CHARSET', INT2FIX(2));
  rb_define_const(mPhi, 'MAC_CHARSET', INT2FIX(77));
  rb_define_const(mPhi, 'SHIFTJIS_CHARSET', INT2FIX(128));
  rb_define_const(mPhi, 'HANGEUL_CHARSET', INT2FIX(129));
  rb_define_const(mPhi, 'JOHAB_CHARSET', INT2FIX(130));
  rb_define_const(mPhi, 'GB2312_CHARSET', INT2FIX(134));
  rb_define_const(mPhi, 'CHINESEBIG5_CHARSET', INT2FIX(136));
  rb_define_const(mPhi, 'GREEK_CHARSET', INT2FIX(161));
  rb_define_const(mPhi, 'TURKISH_CHARSET', INT2FIX(162));
  rb_define_const(mPhi, 'VIETNAMESE_CHARSET', INT2FIX(163));
  rb_define_const(mPhi, 'HEBREW_CHARSET', INT2FIX(177));
  rb_define_const(mPhi, 'ARABIC_CHARSET', INT2FIX(178));
  rb_define_const(mPhi, 'BALTIC_CHARSET', INT2FIX(186));
  rb_define_const(mPhi, 'RUSSIAN_CHARSET', INT2FIX(204));
  rb_define_const(mPhi, 'THAI_CHARSET', INT2FIX(222));
  rb_define_const(mPhi, 'EASTEUROPE_CHARSET', INT2FIX(238));
  rb_define_const(mPhi, 'OEM_CHARSET', INT2FIX(255));
end;

end.
